import os
from enum import Enum


class AwsServiceEnum(Enum):
    S3 = "s3"


class S3BucketEnum(Enum):
    PLANTRA_BUCKET_NAME = os.environ.get("PLANTRA_BUCKET_NAME") or ""


class S3PathEnum(Enum):
    PROFILE_IMGS = "user_profile/"
    POST_IMGS = "post/"
    CS_IMGS = "cs/"


class S3RegionEnum(Enum):
    PLANTRA_BUCKET_REGION = os.environ.get("PLANTRA_BUCKET_REGION")


class CloudFrontEnum(Enum):
    PLANTRA_CLOUD_FRONT_DOMAIN = os.environ.get("PLANTRA_CLOUD_FRONT_DOMAIN")
